## flash-kernel 3.109ubuntu2

=== debian/changelog ===
flash-kernel (3.109ubuntu2) questing; urgency=medium

  [ Heinrich Schuchardt ]
  * db/all.db: Add entry for DeepComputing FML13V03 (LP: #2116161)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 08 Jul 2025 14:17:18 +0100

flash-kernel (3.109ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2109835). Remaining changes:
    - Add support for Raspberry Pi 2, 3, 3+, CM3, CM3+, and 4 using a
      unified bootscript (replaces upstream's entries)
      + Update pi bootscript to support all flash-kernel vars, including
        calculated devtype and partition for future USB boot support
      + Add entry for Raspberry Pi 3A+
      + Add entry for Raspberry Pi CM4
      + Add entry for Raspberry Pi 400
      + Import UC20 updates to the rpi bootscript from the snappy-dev/image
        PPA
    - Add Kernel-Flavors check to Raspberry Pi entries
      + Support "raspi" kernel flavor
    - use umount -l in the cleanup function, else we fail while finishing up
      with the script
    - add a diversion for update-initramfs to live-installers
      post-base-installer.d to avoid update-initramfs runs before flash-kernel
      is configured
    - add a check for the diverted update-initramfs to flash-kernel-installer,
      so it gets reverted before we try to call update-initramfs
    - make post-base-installer.d/01flash-kernel-diversion actually an
      executable shell script
    - make sure that /dev is bind mounted in /target when running
      update-initramfs from flash-kernel-installer, else we do not find the
      boot media (this is only a workaround, actual fixing of the netinst
      environment is needed to fix this properly)
    - drop the "|| true" from the initramfs building code, if we fail here we
      actually dont want to attempt to flash that
    - Do not run flash-kernel inside an LXC container
    - Migrate default /etc/default/flash-kernel content to new default without
      asking via debconf
    - Filter the selection of 'latest' usable kernel through the whitelist.
    - Do not fail if there are no specified Kernel-Flavors for this machine.
    - flash-kernel/functions: Stop attempting to install the latest kernel
      if we request an older version, just refuse to act without --force.
    - Look for dtbs in /lib/firmware/$kvers/device-tree/ in find_dtb_file()
    - Allow us to find DTBs in both the old flat layout and the new vendor
      subdirectory layout, so we keep backward compatibility
    - Add support for gzip-compressed kernel images
    - Fix mkimage_kernel tests
    - Add tests for android-related functions
    - Add "pi" value for the "Method" field which copies all dtbs and
      overlays to the boot partition and provides defaults for the boot
      paths of the kernel, initrd, and u-boot script.
      + This fixes upgrades to support the Pi 4 on Bionic
      + Permit initrd to be missing in flash-kernel
      + Make U-boot optional in the "pi" method. From Groovy onwards, U-Boot
        will be an option in the boot chain but not activated by default.
        For the time being, the U-Boot-Script-Name will remain in the Pi
        entries, but this commit permits it to be blank in future.
      + Copy the Pi's bootloader firmware. At present, the Pi's bootloader
        firmware is being copied to the boot partition by the postinst of
        the linux-firmware-raspi2 package. However, flash-kernel should be
        responsible for copying *everything* necessary to boot the Linux
        kernel, hence this responsibility should be transferred to
        flash-kernel.
    - Ensure tests work independently of sort implementation
    - Always run flash-kernel on install/upgrade
    - Add pattern matching for machines
      + A requirement has come up to permit a simple form of pattern matching
        (specifically shell-style globbing) in the Machine field of the
        database. This commit implements this via a "case" match.
    - Install u-boot binaries in addition to u-boot scripts for the Pi
    - Copy overlay_map.dtb into overlays/ sub-directory instead of the
      root of the boot partition (LP: 1918110)
    - Add minor board revisions to db/all.db
    - Add support for FIT images
      + Support for ITS files
      + New Boot-FIT-Path and Boot-ITS-File-Name DB fields
    - Add Xilinx Kria SOM and ZCU10{2,4,6} boards to the devices database
    - Drop the "systemd.gpt_auto=0 rd.systemd.unit=basic.target" values from
      the snapd_standard_params, which have not been needed since pre-GA of
      UC20 and were removed in pc gadget on 20th April 2020. (LP: 1933093)
    - mkimage_fit: subst KERNEL_VERSION in ITS file with actual kernel
      version.
    - Add DB entry, bootscript and ITS templates for Mediatek AIoT i500 board.
    - Added note in db/all.db above Pi entries about "incorrect" DTB-Id
      (LP: 1928314)
    - Added entries for the Pi 4B rev 1.5, and moved CM4 and 400 models to their
      own entries for the sake of clarity
    - Include overlays/README in the files copied by Method: pi
    - Add Kria KR260 support
    - bootscr.zynqmp:
      + Add Kria KV260 support on jammy and kinetic
      + Add ZCU102/104/106 support on jammy and kinetic
    - image-kria.its: add dtb files into fitimage
    - Add kernel parameter for Kria TSN
    - Add ZCU111 support (LP: 1978798)
    - bootscr.zynqmp (LP: 1978798)
      + Improve messaging in U-Boot boot script for board detection
      + Add kria and zcu board support lists
      + Update kR260 and KV260's bootargs as per AMD-Xilinx's request
      + Support legacy KV260 U-Boot
    - Allow to bypass container exit test by introducing FK_FORCE_CONTAINER
      for RISC-V images build to run flash-kernel in a container (LP: 1980929)
    - Unconditionally map 'armmp' in the Kernel-Flavors field to 'generic',
      which is what this flavor is called in Ubuntu.  This allows us to support
      a much greater number of boards without having to carry an extensive

