## flash-kernel 3.109ubuntu3

=== debian/changelog ===
flash-kernel (3.109ubuntu3) questing; urgency=medium

  * Implement an A/B boot mechanism for the Raspberry Pi. This adds the new
    flash-kernel-piboot package, which contains the new piboot-try-reboot and
    piboot-try-validate services (LP: #2116266)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 09 Jul 2025 14:35:09 +0100
