## flash-kernel 3.109ubuntu4

=== debian/changelog ===
flash-kernel (3.109ubuntu4) questing; urgency=medium

  * Enable the hardware watchdog during migration of the boot configuration
    (LP: #2120177)
  * Report failure of new boot assets in motd (LP: #2119659)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 08 Aug 2025 14:48:45 +0100
