## flash-kernel 3.109ubuntu5

=== debian/changelog ===
flash-kernel (3.109ubuntu5) questing; urgency=medium

  [ Tobias Heider ]
  * Add new T14s model names for LCD/OLED split
  * Add Acer Swift 14 AI

  [ Aleksandrs Vinarskis ]
  * Add Asus Zenbook A14
  * Add Dell Inspiron 14 Plus 7441
  * Add Dell Latitude 7455
  * Add new Asus Zenbook A14 model names for LCD/OLED split

 -- Tobias Heider <tobias.heider@canonical.com>  Wed, 13 Aug 2025 11:30:26 +0200
