## flash-kernel 3.109ubuntu6

=== debian/changelog ===
flash-kernel (3.109ubuntu6) questing; urgency=medium

  * Add entry for StarFive VisionFive 2 Lite (LP: #2121220)

 -- Dave Jones <dave.jones@canonical.com>  Sun, 24 Aug 2025 21:51:02 +0100
