## flash-kernel 3.109ubuntu6.1

=== debian/changelog ===
flash-kernel (3.109ubuntu6.1) questing; urgency=medium

  * Do not execute piboot-try when method != pi-try (LP: #2127780)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 17 Oct 2025 15:51:57 +0100
