=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Vagrant Cascadian <vagrant@debian.org>,
            Karsten Merker <merker@debian.org>
-Build-Depends: debhelper-compat (= 13), devio, linux-base (>= 3.2), dash
+Build-Depends: debhelper-compat (= 13), devio, linux-base (>= 3.2), dash,
+ gnu-coreutils (>= 9.5), dh-python, python3
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/installer-team/flash-kernel
 Vcs-Git: https://salsa.debian.org/installer-team/flash-kernel.git
@@ -14,6 +15,7 @@
 Package: flash-kernel
 Architecture: arm64 armel armhf riscv64 loong64
 Depends: ${misc:Depends},
+         ${python3:Depends},
          devio,
          initramfs-tools (>= 0.92f),
          systemd,
@@ -28,6 +30,16 @@
  boot from flash memory (hence the name) as well as some devices that
  require a special boot image on the disk.
 
+Package: flash-kernel-piboot
+Architecture: arm64 armhf
+Depends: ${misc:Depends},
+         flash-kernel (= ${source:Version}),
+         gnu-coreutils (>= 9.5),
+Description: service to manage the A/B boot mechanism on the Raspberry Pi
+ piboot-try is a service which works with flash-kernel to manage the A/B boot
+ mechanism on Ubuntu for the Raspberry Pi for those flash-kernel entries that
+ use method "pi-ab".
+
 Package: flash-kernel-installer
 Section: debian-installer
 Priority: standard
