## flash-kernel 3.109ubuntu6.2

=== debian/changelog ===
flash-kernel (3.109ubuntu6.2) questing; urgency=medium

  [ Heinrich Schuchardt ]
  * Add Milk-V Mars CM and Milk-V Mars CM Lite to database (LP: #2132298)
  * Correct dtb for StarFive VisionFive 2 Lite (LP: #2134398)

  [ Dave Jones ]
  * db/all.db: Removed duplicated entry for Lenovo ThinkPad X13s
  * test_db: Added test to guard against future duplicates; also copied
    alphabetical test from d/rules so it can easily run during development

 -- Dave Jones <dave.jones@canonical.com>  Mon, 26 Jan 2026 15:00:37 +0000
