## flash-kernel 3.109ubuntu7

=== debian/changelog ===
flash-kernel (3.109ubuntu7) resolute; urgency=medium

  * Show --help if no options specified to piboot-try
  * Ensure validation is done before motd displays (LP: #2128718)
  * Do not execute piboot-try when method != pi-try (LP: #2127780)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 17 Oct 2025 15:51:57 +0100
