=== debian/rules ===
#! /usr/bin/make -f

AUTOGEN_DEB_FILES := flash-kernel.templates flash-kernel-installer.postinst default/flash-kernel

ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
DEFAULT_CMDLINE := quiet splash
else
DEFAULT_CMDLINE := quiet
endif

override_dh_installsystemd:
	dh_installsystemd --name=piboot-try-reboot --no-start
	dh_installsystemd --name=piboot-try-validate --no-start

override_dh_auto_install:
	for i in $(AUTOGEN_DEB_FILES); do \
		sed "s/@DEFAULT_CMDLINE@/$(DEFAULT_CMDLINE)/" \
			< debian/$$i.in > debian/$$i; \
	done

	install -m0755 -p -d debian/flash-kernel/etc/flash-kernel/bootscript
	set -ex ; for arch in all $(DEB_HOST_ARCH) ; do \
		[ -d bootscript/$${arch} ] || continue ; \
		install -m0644 bootscript/$${arch}/bootscr.* \
			debian/flash-kernel/etc/flash-kernel/bootscript/ ; \
	done
ifeq (armhf,$(DEB_HOST_ARCH))
	install -m0644 bootscript/$(DEB_HOST_ARCH)/olpc.fth \
		debian/flash-kernel/etc/flash-kernel/bootscript/
endif

	install -m0755 -p -d debian/flash-kernel/usr/share/flash-kernel/its
	set -ex ; for arch in all $(DEB_HOST_ARCH) ; do \
		[ -d its/$${arch} ] || continue ; \
		install -m0644 its/$${arch}/* \
			debian/flash-kernel/usr/share/flash-kernel/its/ ; \
	done

	dh_auto_install

override_dh_auto_clean:
	for i in $(AUTOGEN_DEB_FILES); do \
		rm -f debian/$$i; \
	done
	dh_auto_clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	FK_CHECKOUT=. ./test_db
	FK_CHECKOUT=. ./test_flash-kernel
	FK_CHECKOUT=. ./test_functions
	FK_CHECKOUT=. ./test_functions-piboot

# check alphabetic ordering of database
# The key for each entry is its first Machine: line
	awk '/^$$/ { seen=0 } seen == 0 && /^Machine: / { seen=1; print }' db/all.db | LC_ALL=C sort --check --ignore-case
endif

%:
	dh $@ --with=python3
