## flash-kernel 3.109ubuntu8

=== debian/changelog ===
flash-kernel (3.109ubuntu8) resolute; urgency=medium

  * Ensure dracut install doesn't remove flash-kernel (LP: #2100618)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 19 Nov 2025 16:50:56 +0000
