## flash-kernel 3.109ubuntu9

=== debian/changelog ===
flash-kernel (3.109ubuntu9) resolute; urgency=medium

  * Add StarFive VisionFive 2 Lite, Milk-V Mars CM and
    Milk-V Mars CM Lite to database (LP: #2132298)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 24 Nov 2025 14:08:39 +0100
