=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          devio,
-         initramfs-tools (>= 0.92f),
+         initramfs-tools (>= 0.92f) | dracut (>= 106-2ubuntu2~),
          systemd,
          linux-base (>= 3.2),
          mtd-utils,
