## flash-kernel 3.109ubuntu11

=== debian/changelog ===
flash-kernel (3.109ubuntu11) resolute; urgency=medium

  * db/all.db: Change jh7110s to jh7110 per the upstream kernel change
    (LP: #2134398)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 26 Jan 2026 16:02:07 +0000

flash-kernel (3.109ubuntu10) resolute; urgency=medium

  * db/all.db: Fix the DTB-Id entries with .dts at the end (LP: #2132298)
  * db/all.db: Removed duplicated entries for VisionFive 2 Lite and
    Lenovo ThinkPad X13s
  * test_db: Added test to guard against future duplicates; also copied
    alphabetical test from d/rules so it can easily run during development
    (LP: #2134398)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 26 Jan 2026 15:00:37 +0000
