## flash-kernel 3.110~bpo13+1

=== debian/changelog ===
flash-kernel (3.110~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports:
    - d/salsa-ci.yml: Set RELEASE to trixie-backports

 -- Ben Hutchings <benh@debian.org>  Tue, 20 Jan 2026 17:13:05 +0100

flash-kernel (3.110) unstable; urgency=medium

  [ Ben Hutchings ]
  * Team upload

  [ Holger Wansing ]
  * Change d/copyright, to remove FSF's (outdated) postal address.

  [ Johannes Schauer Marin Rodrigues ]
  * db/all.db: add MNT Reform 2 with BPI-CM4 Module
  * Run find with -H because /usr/lib/linux-image-$kvers might be a symlink
    (Closes: #1125327)

  [ Dave Jones ]
  * Always run flash-kernel
  * Avoid a double run of handle_dtb and --force with no kvers
    (Closes: #1102690)
  * Defer if selected kernel is not fully "installed"

  [ D-I role ]
  * [l10n]  Commit changed/added po files (from l10n-sync run at dillon)

 -- Ben Hutchings <benh@debian.org>  Mon, 12 Jan 2026 17:10:12 +0100
