## flash-kernel 3.110ubuntu1

=== debian/changelog ===
flash-kernel (3.110ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable (LP: #2140596). Remaining changes:
    - use umount -l in the cleanup function, else we fail while finishing up
      with the script
    - add a diversion for update-initramfs to live-installers post-base-
      installer.d to avoid update-initramfs runs before flash-kernel is
      configured
    - add a check for the diverted update-initramfs to flash-kernel-installer,
      so it gets reverted before we try to call update-initramfs
    - make post-base-installer.d/01flash-kernel-diversion actually an
      executable shell script
    - make sure that /dev is bind mounted in /target when running update-
      initramfs from flash-kernel-installer, else we do not find the boot
      media (this is only a workaround, actual fixing of the netinst
      environment is needed to fix this properly)
    - drop the "|| true" from the initramfs building code, if we fail here we
      actually dont want to attempt to flash that
    - Do not run flash-kernel inside an LXC container
    - Migrate default /etc/default/flash-kernel content to new default without
      asking via debconf
    - Filter the selection of 'latest' usable kernel through the whitelist.
    - Do not fail if there are no specified Kernel-Flavors for this machine.
    - test_functions: Add tests for include_only_flavors
        - Handle "not fully installed" kernels differently by quitting instead
          of re-triggering to avoid a dpkg trigger cycle (LP: 2011925)
        - Use LC_ALL= instead of LANG= for consistency (LP: 2007827)
    - Look for dtbs in /lib/firmware/$kvers/device-tree/ in find_dtb_file()
    - Allow us to find DTBs in both the old flat layout and the new vendor
      subdirectory layout, so we keep backward compatibility
    - Add support for gzip-compressed kernel images
    - Fix mkimage_kernel tests
    - Add tests for android-related functions
    - Add support for Raspberry Pi 2, 3, 3+, CM3, CM3+, and 4 using a unified
      bootscript (replaces upstream's entries)
      - Update pi bootscript to support all flash-kernel vars, including
        calculated devtype and partition for future USB boot support
      - Add entry for Raspberry Pi 3A+
      - Add entry for Raspberry Pi CM4
      - Add entry for Raspberry Pi 400
      - Import UC20 updates to the rpi bootscript from the snappy-dev/image
        PPA
    - Add Kernel-Flavors check to Raspberry Pi entries
      - Support "raspi" kernel flavor
    - Drop the "systemd.gpt_auto=0 rd.systemd.unit=basic.target" values from
      the snapd_standard_params, which have not been needed since pre-GA of
      UC20 and were removed in pc gadget on 20th April 2020. (LP: 1933093)
    - Add "pi" value for the "Method" field which copies all dtbs and overlays
      to the boot partition and provides defaults for the boot paths of the
      kernel, initrd, and u-boot script.
      - This fixes upgrades to support the Pi 4 on Bionic
      - Permit initrd to be missing in flash-kernel
      - Make U-boot optional in the "pi" method. From Groovy onwards, U-Boot
        will be an option in the boot chain but not activated by default. For
        the time being, the U-Boot-Script-Name will remain in the Pi entries,
        but this commit permits it to be blank in future.
      - Copy the Pi's bootloader firmware. At present, the Pi's bootloader
        firmware is being copied to the boot partition by the postinst of the
        linux-firmware-raspi2 package. However, flash-kernel should be
        responsible for copying *everything* necessary to boot the Linux
        kernel, hence this responsibility should be transferred to flash-
        kernel.
    - Ensure tests work independently of sort implementation
    - Add pattern matching for machines
      - A requirement has come up to permit a simple form of pattern matching
        (specifically shell-style globbing) in the Machine field of the
        database. This commit implements this via a "case" match.
    - Add minor board revisions to db/all.db
    - Added entries for the Pi 4B rev 1.5, and moved CM4 and 400 models to
      their own entries for the sake of clarity
    - Added note in db/all.db above Pi entries about "incorrect" DTB-Id (LP:
      1928314)
    - Install u-boot binaries in addition to u-boot scripts for the Pi
    - Copy overlay_map.dtb into overlays/ sub-directory instead of the root of
      the boot partition (LP: 1918110)
    - Include overlays/README in the files copied by Method: pi
    - Use generic-revision catch-alls for each model rather than relying on a
      single Pi catch-all to avoid a confusing selection of "the one DTB" for
      a given board (even though all other DTBs will still be copied anyway)
      (LP: 2038087)
      - Add missing Pi Zero 2W entry
      - Add missing Pi 5B entry
    - Add raspi-realtime kernel flavor to bcm2711 and bcm2712 based Pi boards
      (LP: 2051960)
    - db/all.db: Fix Raspberry Pi 2 entry for noble. Here we can assume it is
      definitely the 64-bit revision (1.2) board, but this change must not be
      backported earlier than noble where this assumption does not hold (LP:
      2060856)
    - db/all.db: add CM5 entry (LP: 2086774)
    - db/all.db: Add entry for Raspberry Pi 500 (LP: 2092216)
    - db/all.db: Add CM5 Lite to flash-kernel database
    - Implement an A/B boot mechanism for the Raspberry Pi. This adds the new
      flash-kernel-piboot package, which contains the new piboot-try-reboot
      and piboot-try-validate services
    - Enable the hardware watchdog during migration of the boot configuration
    - Report failure of new boot assets in motd
    - Show --help if no options specified to piboot-try
    - Ensure validation is done before motd displays
    - Do not execute piboot-try when method != pi-try
    - Add support for FIT images
      - Support for ITS files
      - New Boot-FIT-Path and Boot-ITS-File-Name DB fields

