=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Vagrant Cascadian <vagrant@debian.org>,
            Karsten Merker <merker@debian.org>
-Build-Depends: debhelper-compat (= 13), devio, linux-base (>= 3.2), dash,
- gnu-coreutils (>= 9.5), dh-python, python3
+Build-Depends: debhelper-compat (= 13), devio, linux-base (>= 3.2), dash
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/installer-team/flash-kernel
 Vcs-Git: https://salsa.debian.org/installer-team/flash-kernel.git
@@ -15,7 +14,6 @@
 Package: flash-kernel
 Architecture: arm64 armel armhf riscv64 loong64
 Depends: ${misc:Depends},
-         ${python3:Depends},
          devio,
          initramfs-tools (>= 0.92f) | dracut (>= 106-2ubuntu2~),
          systemd,
@@ -32,13 +30,10 @@
 
 Package: flash-kernel-piboot
 Architecture: arm64 armhf
-Depends: ${misc:Depends},
-         flash-kernel (= ${source:Version}),
-         gnu-coreutils (>= 9.5),
-Description: service to manage the A/B boot mechanism on the Raspberry Pi
- piboot-try is a service which works with flash-kernel to manage the A/B boot
- mechanism on Ubuntu for the Raspberry Pi for those flash-kernel entries that
- use method "pi-ab".
+Depends: ${misc:Depends}, piboot-try
+Section: oldlibs
+Description: transitional package
+ This is a transitional package. It can be safely removed.
 
 Package: flash-kernel-installer
 Section: debian-installer
